# RussianTypograph Class Reference
[Tools for primitive's filtration]

Inheritance diagram for RussianTypograph:
[legend]

List of all members.

## Public Member Functions

| apply ($value)

## Static Public Member Functions

static | me ()

## Public Attributes

const | MAGIC_DELIMITER = '<>'

## Private Member Functions

| typographize ($text)
| innerQuotes ($text)

## Static Private Attributes

static | $symbols
static | $from
static | $to

## Detailed Description

See also:
  http://www.artlebedev.ru/tools/typograf/

Definition at line 17 of file RussianTypograph.class.php.

## Member Function Documentation

RussianTypograph::apply | ( | $ | value | ) |

Definition at line 92 of file RussianTypograph.class.php.

References me(), and typographize().

Here is the call graph for this function:

RussianTypograph::innerQuotes | ( | $ | text | ) | `[private]`

Definition at line 155 of file RussianTypograph.class.php.

static RussianTypograph::me | ( |  | ) | `[static]`

Returns:
  RussianTypograph

Implements Instantiatable.

Definition at line 87 of file RussianTypograph.class.php.

References Singleton::getInstance().

Referenced by apply().

Here is the call graph for this function:

RussianTypograph::typographize | ( | $ | text | ) | `[private]`

Definition at line 142 of file RussianTypograph.class.php.

Referenced by apply().

## Member Data Documentation

RussianTypograph::$from`[static, private]`

Initial value:

     array(
                '~\-{2,}~',
                '~([\w\pL\pP]+)\s+\-\s+~u',
                '~(\s)\s*~u',
                '~([\s\pP]|^)([\w\pL]{1,2})\s~Uu',
                '~(&nbsp;|\s)\s+~u',
                '~\"(.*)\"~e',
                '~\"([^\s]*)\"~',
                '~\"([^\s]*)\s+([^\s\.]*)\"~',
                '~([\w\pL\']+)~eu'
            )

Definition at line 60 of file RussianTypograph.class.php.

RussianTypograph::$symbols`[static, private]`

Definition at line 21 of file RussianTypograph.class.php.

RussianTypograph::$to`[static, private]`

Initial value:

     array(
                '-',
                '$1&nbsp;&#151; ',
                '$1$1',
                '$1$2&nbsp;',
                '$1',
                '\'&laquo;\'.$this->innerQuotes(\'$1\').\'&raquo;\'',
                '&laquo;$1&raquo;',
                '&laquo;$1 $2&raquo;',
                'str_replace("\'", \'&#146;\', \'$1\')'
            )

Definition at line 72 of file RussianTypograph.class.php.

const RussianTypograph::MAGIC_DELIMITER = '<>'

Definition at line 19 of file RussianTypograph.class.php.

The documentation for this class was generated from the following file:

- core/Form/Filters/RussianTypograph.class.php